Index: TXM/trunk/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- TXM/trunk/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 3341)
+++ TXM/trunk/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 3342)
@@ -137,6 +137,7 @@
 	 * @throws StatException stat exception if the structure can not be created in R statistics engine.
 	 */
 	public CA(LexicalTable lexicalTable) {
+		
 		this(null, lexicalTable);
 	}
 	
@@ -147,6 +148,7 @@
 	 * @throws StatException stat exception if the structure can not be created in R statistics engine.
 	 */
 	public CA(String parametersNodePath) {
+		
 		this(parametersNodePath, null);
 	}
 	
@@ -157,6 +159,7 @@
 	 * @throws StatException stat exception if the structure can not be created in R statistics engine.
 	 */
 	public CA(String parametersNodePath, LexicalTable lexicalTable) {
+		
 		super(parametersNodePath, lexicalTable);
 		
 		this.needsToSquareOff = true;
@@ -164,6 +167,7 @@
 	
 	@Override
 	public void clean() {
+		
 		try {
 			if (this.getCA() != null) {
 				RWorkspace.getRWorkspaceInstance().removeVariableFromWorkspace(this.getCA().getSymbol());
@@ -220,6 +224,7 @@
 	}
 	
 	public void displayOptions(String col, String row, float cex) {
+		
 		this.cex = Math.abs(cex);
 		if (col.matches(pattern)) {
 			this.colfilter = col;
@@ -247,6 +252,7 @@
 	// FIXME: to move in an exporter extension
 	@Deprecated
 	public boolean exportColInfos(File file, String encoding, String colseparator, String textseparator) {
+		
 		try {
 			Writer writer = new OutputStreamWriter(new FileOutputStream(file), encoding);
 			String[] titles = getColInfosTitles();
@@ -254,8 +260,7 @@
 				String title = titles[i];
 				if (i < titles.length - 1)
 					writer.write(textseparator + title + textseparator + colseparator);
-				else
-					writer.write(textseparator + title + textseparator + colseparator);
+				else writer.write(textseparator + title + textseparator + colseparator);
 			}
 			writer.write("\n"); //$NON-NLS-1$
 			Object[] infos = getColInfos();
@@ -288,6 +293,7 @@
 	// FIXME: to move in an exporter extension
 	@Deprecated
 	public void exportRowInfos(File file, String encoding, String colseparator, String textseparator) {
+		
 		try {
 			Writer writer = new OutputStreamWriter(new FileOutputStream(file), encoding);
 			String[] titles = getRowInfosTitles();
@@ -324,10 +330,12 @@
 	 * @return the ca
 	 */
 	public org.txm.ca.core.statsengine.r.functions.ICA getCA() {
+		
 		return r_ca;
 	}
 	
 	public float getCex() {
+		
 		return cex;
 	}
 	
@@ -337,6 +345,7 @@
 	 * @return the column filter -> only used by FactoMineR
 	 */
 	public String getColFilter() {
+		
 		return colfilter;
 	}
 	
@@ -347,6 +356,7 @@
 	 * @return the col infos titles
 	 */
 	public String[] getColInfosTitles() {
+		
 		if (coltitles == null) {
 			List<String> colnames = new ArrayList<>();
 			colnames.add(TXMCoreMessages.common_cols); // entry
@@ -379,6 +389,7 @@
 	 * @throws StatException the stat exception
 	 */
 	public String[] getColNames() throws StatException {
+		
 		if (colnames == null) {
 			colnames = this.getCA().getColNames().asStringsArray();
 		}
@@ -391,6 +402,7 @@
 	 * @return the columns coordinates
 	 */
 	public double[][] getColsCoords() {
+		
 		return this.r_ca.getColsCoords();
 	}
 	
@@ -401,6 +413,7 @@
 	 * @throws StatException the stat exception
 	 */
 	public double[] getColsDist() throws StatException {
+		
 		return this.r_ca.getColDist();
 	}
 	
@@ -411,6 +424,7 @@
 	 * @throws StatException the stat exception
 	 */
 	public double[] getColsInertia() throws StatException {
+		
 		return this.r_ca.getColsInertia();
 	}
 	
@@ -421,6 +435,7 @@
 	 * @throws StatException the stat exception
 	 */
 	public double[] getColsMass() throws StatException {
+		
 		return this.r_ca.getColsMass();
 	}
 	
@@ -432,12 +447,14 @@
 	 * @throws RWorkspaceException
 	 */
 	public int getColumnsCount() throws RWorkspaceException, REXPMismatchException {
+		
 		return this.r_ca.getColumnsCount();
 	}
 	
 	
 	@Override
 	public String[] getExportTXTExtensions() {
+		
 		return new String[] { "*.txt" };
 	}
 	
@@ -447,6 +464,7 @@
 	 * @return the first dimension
 	 */
 	public int getFirstDimension() {
+		
 		return firstDimension;
 	}
 	
@@ -456,6 +474,7 @@
 	 * @return the lexical table
 	 */
 	public LexicalTable getLexicalTable() {
+		
 		return (LexicalTable) this.parent;
 	}
 	
@@ -466,6 +485,7 @@
 	 * @throws StatException
 	 */
 	public double[][] getRowContrib() throws StatException {
+		
 		return r_ca.getRowContrib();
 	}
 	
@@ -476,10 +496,12 @@
 	 * @throws StatException
 	 */
 	public double[][] getRowCos2() throws StatException {
+		
 		return r_ca.getRowCos2();
 	}
 	
 	public String getRowFilter() {
+		
 		return rowfilter;
 	}
 	
@@ -633,6 +655,7 @@
 	 * @return the row infos titles
 	 */
 	public String[] getRowInfosTitles() {
+		
 		if (rowtitles == null) {
 			List<String> colnames = new ArrayList<>();
 			colnames.add(TXMCoreMessages.common_rows); // entry
@@ -665,6 +688,7 @@
 	 * @throws StatException the stat exception
 	 */
 	public String[] getRowNames() throws Exception {
+		
 		if (rownames == null) {
 			rownames = this.getLexicalTable().getRowNames().asStringsArray();
 		}
@@ -677,6 +701,7 @@
 	 * @return the rows coords
 	 */
 	public double[][] getRowsCoords() {
+		
 		return this.r_ca.getRowsCoords();
 	}
 	
@@ -688,6 +713,7 @@
 	 * @throws RWorkspaceException
 	 */
 	public int getRowsCount() throws RWorkspaceException, REXPMismatchException {
+		
 		return this.r_ca.getRowsCount();
 	}
 	
@@ -698,6 +724,7 @@
 	 * @throws StatException the stat exception
 	 */
 	public double[] getRowsDist() throws StatException {
+		
 		return this.r_ca.getRowDist();
 	}
 	
@@ -708,6 +735,7 @@
 	 * @throws StatException the stat exception
 	 */
 	public double[] getRowsInertia() throws StatException {
+		
 		return this.r_ca.getRowsInertia();
 	}
 	
@@ -718,6 +746,7 @@
 	 * @throws StatException the stat exception
 	 */
 	public double[] getRowsMass() throws StatException {
+		
 		return this.r_ca.getRowsMass();
 	}
 	
@@ -761,11 +790,13 @@
 	 * @return the second dimension
 	 */
 	public int getSecondDimension() {
+		
 		return secondDimension;
 	}
 	
 	@Override
 	public String getSimpleName() {
+		
 		try {
 			return this.getParent().getProperty().asString() + " (" + this.firstDimension + "," + this.secondDimension + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
@@ -776,12 +807,14 @@
 	
 	@Override
 	public String getName() {
+		
 		return this.getParent().getName() + TXMPreferences.PARENT_NAME_SEPARATOR + " (" + this.firstDimension + "," + this.secondDimension + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ ;
 	}
 	
 	
 	@Override
 	public String getDetails() {
+		
 		try {
 			return this.getSimpleName() + " " + NLS.bind(TXMCoreMessages.common_fMinEquals, this.getLexicalTable().getFMin());
 		}
@@ -793,6 +826,7 @@
 	
 	@Override
 	public String getComputingStartMessage() {
+		
 		// from lexical table
 		if (this.parent.isVisible()) {
 			return TXMCoreMessages.bind(CACoreMessages.info_caOfTheP0LexcialTable, this.getParent().getName());
@@ -825,6 +859,7 @@
 	 * @throws REXPMismatchException
 	 */
 	public double[] getSingularValues() throws StatException, REXPMismatchException {
+		
 		return r_ca.getSingularValues();
 	}
 	
@@ -835,6 +870,7 @@
 	 * @throws REXPMismatchException
 	 */
 	public List<List<Object>> getSingularValuesInfos() throws REXPMismatchException {
+		
 		List<List<Object>> svtabledata = new ArrayList<>();
 		
 		double[] sv = null;
@@ -879,6 +915,7 @@
 	
 	@Override
 	public String getRSymbol() {
+		
 		return r_ca.getSymbol();
 	}
 	
@@ -890,6 +927,7 @@
 	 * @throws REXPMismatchException
 	 */
 	public double[] getValeursPropres() throws StatException, REXPMismatchException {
+		
 		return r_ca.getEigenvalues();
 	}
 	
@@ -901,6 +939,7 @@
 	 * @throws REXPMismatchException
 	 */
 	public double getValeursPropresSum() throws StatException, REXPMismatchException {
+		
 		double sum = 0;
 		for (double d : getValeursPropres()) {
 			sum += d;
@@ -915,11 +954,12 @@
 	 * @param outfile the outfile
 	 * @param encoding the encoding
 	 * @return true, if successful
-	 * @throws Exception 
+	 * @throws Exception
 	 */
 	// FIXME: to move in an exporter extension
 	@Deprecated
 	public boolean toTxt(File outfile, String encoding) throws Exception {
+		
 		return toTxt(outfile, encoding, "\t", ""); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
@@ -936,6 +976,7 @@
 	// FIXME: to move in an exporter extension
 	@Deprecated
 	public boolean _toTxt(File outfile, String encoding, String colseparator, String txtseparator) {
+		
 		acquireSemaphore();
 		boolean rez = r_ca.toTxt(outfile, encoding, colseparator, txtseparator);
 		releaseSemaphore();
@@ -950,11 +991,13 @@
 	 * @return <code>true</code> if the CA uses the FactoMineR R package otherwise <code>false</code>
 	 */
 	public boolean useFactoMineR() {
+		
 		return this.useFactoMineR;
 	}
 	
 	@Override
 	public boolean canCompute() {
+		
 		try {
 			return this.getLexicalTable().getNColumns() > 3
 					&& this.firstDimension > 0
@@ -970,12 +1013,14 @@
 	
 	@Override
 	public boolean saveParameters() {
+		
 		// nothing to do
 		return true;
 	}
 	
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
+		
 		// TODO Auto-generated method stub
 		System.err.println("CA.setParameters(): not yet implemented.");
 		return true;
@@ -983,6 +1028,7 @@
 	
 	@Override
 	public boolean loadParameters() {
+		
 		// nothing to do
 		return true;
 	}
@@ -991,6 +1037,7 @@
 	 * @return the showIndividuals
 	 */
 	public boolean isShowIndividuals() {
+		
 		return showIndividuals;
 	}
 	
@@ -998,6 +1045,7 @@
 	 * @param showIndividuals the showIndividuals to set
 	 */
 	public void setShowIndividuals(boolean showIndividuals) {
+		
 		this.showIndividuals = showIndividuals;
 	}
 	
@@ -1005,6 +1053,7 @@
 	 * @return the showVariables
 	 */
 	public boolean isShowVariables() {
+		
 		return showVariables;
 	}
 	
@@ -1012,6 +1061,7 @@
 	 * @param showVariables the showVariables to set
 	 */
 	public void setShowVariables(boolean showVariables) {
+		
 		this.showVariables = showVariables;
 	}
 	
@@ -1019,6 +1069,7 @@
 	 * @return the showPointShapes
 	 */
 	public boolean isShowPointShapes() {
+		
 		return showPointShapes;
 	}
 	
@@ -1026,6 +1077,7 @@
 	 * @param showPointShapes the showPointShapes to set
 	 */
 	public void setShowPointShapes(boolean showPointShapes) {
+		
 		this.showPointShapes = showPointShapes;
 	}
 	
@@ -1033,6 +1085,7 @@
 	 * @param firstDimension the firstDimension to set
 	 */
 	public void setFirstDimension(int firstDimension) {
+		
 		this.firstDimension = firstDimension;
 	}
 	
@@ -1040,11 +1093,13 @@
 	 * @param secondDimension the secondDimension to set
 	 */
 	public void setSecondDimension(int secondDimension) {
+		
 		this.secondDimension = secondDimension;
 	}
 	
 	@Override
 	public String getResultType() {
+		
 		return CACoreMessages.RESULT_TYPE;
 	}
 	
@@ -1055,12 +1110,14 @@
 	 * @return the unitProperty
 	 */
 	public Property getUnitProperty() {
+		
 		return this.getLexicalTable().getProperty();
 	}
 	
 	
 	@Override
 	public LexicalTable getParent() {
+		
 		return (LexicalTable) this.parent;
 	}
 	
